# FFmpegKit Linux API: ffmpegkit::FFmpegSession::PublicFFmpegSession Struct Reference

ffmpegkit::FFmpegSession::PublicFFmpegSession Struct Reference

## Public Member Functions

| PublicFFmpegSession (const std::shared_ptr< std::list< std::string >> arguments, FFmpegSessionCompleteCallback completeCallback, ffmpegkit::LogCallback logCallback, ffmpegkit::StatisticsCallback statisticsCallback, LogRedirectionStrategy logRedirectionStrategy)
Public Member Functions inherited from ffmpegkit::FFmpegSession
ffmpegkit::StatisticsCallback | getStatisticsCallback ()
ffmpegkit::FFmpegSessionCompleteCallback | getCompleteCallback ()
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Statistics > > > | getAllStatisticsWithTimeout (const int waitTimeout)
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Statistics > > > | getAllStatistics ()
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Statistics > > > | getStatistics ()
std::shared_ptr< ffmpegkit::Statistics > | getLastReceivedStatistics ()
void | addStatistics (const std::shared_ptr< ffmpegkit::Statistics > statistics)
bool | isFFmpeg () const override
bool | isFFprobe () const override
bool | isMediaInformation () const override
Public Member Functions inherited from ffmpegkit::AbstractSession
| AbstractSession (const std::shared_ptr< std::list< std::string >> arguments, const ffmpegkit::LogCallback logCallback, const LogRedirectionStrategy logRedirectionStrategy)
void | waitForAsynchronousMessagesInTransmit (const int timeout) const
ffmpegkit::LogCallback | getLogCallback () const override
long | getSessionId () const override
std::chrono::time_point< std::chrono::system_clock > | getCreateTime () const override
std::chrono::time_point< std::chrono::system_clock > | getStartTime () const override
std::chrono::time_point< std::chrono::system_clock > | getEndTime () const override
long | getDuration () const override
std::shared_ptr< std::list< std::string > > | getArguments () const override
std::string | getCommand () const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getAllLogsWithTimeout (const int waitTimeout) const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getAllLogs () const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getLogs () const override
std::string | getAllLogsAsStringWithTimeout (const int waitTimeout) const override
std::string | getAllLogsAsString () const override
std::string | getLogsAsString () const override
std::string | getOutput () const override
ffmpegkit::SessionState | getState () const override
std::shared_ptr< ffmpegkit::ReturnCode > | getReturnCode () const override
std::string | getFailStackTrace () const override
ffmpegkit::LogRedirectionStrategy | getLogRedirectionStrategy () const override
bool | thereAreAsynchronousMessagesInTransmit () const override
void | addLog (const std::shared_ptr< ffmpegkit::Log > log) override
void | startRunning () override
void | complete (const std::shared_ptr< ffmpegkit::ReturnCode > returnCode) override
void | fail (const char *error) override
void | cancel () override

## Additional Inherited Members

Static Public Member Functions inherited from ffmpegkit::FFmpegSession
static std::shared_ptr< ffmpegkit::FFmpegSession > | create (const std::shared_ptr< std::list< std::string >> arguments)
static std::shared_ptr< ffmpegkit::FFmpegSession > | create (const std::shared_ptr< std::list< std::string >> arguments, ffmpegkit::FFmpegSessionCompleteCallback completeCallback)
static std::shared_ptr< ffmpegkit::FFmpegSession > | create (const std::shared_ptr< std::list< std::string >> arguments, ffmpegkit::FFmpegSessionCompleteCallback completeCallback, ffmpegkit::LogCallback logCallback, ffmpegkit::StatisticsCallback statisticsCallback)
static std::shared_ptr< ffmpegkit::FFmpegSession > | create (const std::shared_ptr< std::list< std::string >> arguments, ffmpegkit::FFmpegSessionCompleteCallback completeCallback, ffmpegkit::LogCallback logCallback, ffmpegkit::StatisticsCallback statisticsCallback, ffmpegkit::LogRedirectionStrategy logRedirectionStrategy)
Static Public Attributes inherited from ffmpegkit::AbstractSession
static constexpr int | DefaultTimeoutForAsynchronousMessagesInTransmit = 5000

## Detailed Description

Definition at line 51 of file FFmpegSession.cpp.

## Constructor & Destructor Documentation

## PublicFFmpegSession()

ffmpegkit::FFmpegSession::PublicFFmpegSession::PublicFFmpegSession | ( | const std::shared_ptr< std::list< std::string >> | arguments,
|  | FFmpegSessionCompleteCallback | completeCallback,
|  | ffmpegkit::LogCallback | logCallback,
|  | ffmpegkit::StatisticsCallback | statisticsCallback,
|  | LogRedirectionStrategy | logRedirectionStrategy
| ) |  |

inline

Definition at line 52 of file FFmpegSession.cpp.

The documentation for this struct was generated from the following file:

- FFmpegSession.cpp